List of all members
clan::UniformVector< Type > Class Template Reference
clanDisplay Display

Uniform Buffer Vector. More...

`#include <uniform_vector.h>`

Inheritance diagram for clan::UniformVector< Type >:

## Public Member Functions
Construction
| UniformVector ()
| Constructs a null instance. More...
| UniformVector (GraphicContext &gc, int size, BufferUsage usage=usage_static_draw)
| Constructs a ElementArrayBuffer. More...
| UniformVector (GraphicContext &gc, Type *data, int size, BufferUsage usage=usage_static_draw)
| Constructs a ElementArrayBuffer. More...
| UniformVector (GraphicContext &gc, const std::vector< Type > &data, BufferUsage usage=usage_static_draw)
Operations
void | upload_data (GraphicContext &gc, const Type *data, int size)
| Uploads data to uniforms buffer. More...
void | upload_data (GraphicContext &gc, const std::vector< Type > &data)
| Uploads data to uniforms buffer. More...
void | copy_from (GraphicContext &gc, TransferVector< Type > &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data from transfer buffer. More...
void | copy_to (GraphicContext &gc, TransferVector< Type > &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data to transfer buffer. More...
Public Member Functions inherited from clan::UniformBuffer
| UniformBuffer ()
| Constructs a null instance. More...
| UniformBuffer (GraphicContext &gc, int block_size, BufferUsage usage=usage_dynamic_draw)
| Constructs a ProgramUniformBlock. More...
| UniformBuffer (GraphicContext &gc, const void *data, int size, BufferUsage usage=usage_dynamic_draw)
| Constructs a VertexArrayBuffer. More...
| UniformBuffer (GraphicContext &gc, ProgramObject &program, const std::string &name, int num_blocks=1, BufferUsage usage=usage_dynamic_draw)
| Constructs a ProgramUniformBlock - convenience function. More...
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
UniformBufferProvider * | get_provider () const
| Get Provider. More...
bool | operator== (const UniformBuffer &other) const
| Handle comparison operator. More...
void | upload_data (GraphicContext &gc, const void *data, int size)
| Uploads data to uniforms buffer. More...
void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data from transfer buffer. More...
void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos=0, int src_pos=0, int size=-1)
| Copies data to transfer buffer. More...

## Detailed Description

### template<typename Type>
class clan::UniformVector< Type >

Uniform Buffer Vector.

The documentation for this class was generated from the following file:

- uniform_vector.h